package com.noa.realtime;

import android.graphics.Canvas;
import android.graphics.Paint;

/**
 * Created by Noa on 30/10/2017.
 */

public class Circle {

    private int x;
    private int y;
    private int r;
    private Paint paint;

    public Circle(int x, int y, int r, int[] color) {

        this.x = x;
        this.y = y;
        this.r = r;
        this.paint = new Paint();
        this.paint.setARGB(255, color[0], color[1], color[2]);
    }

    public void onDraw(Canvas canvas) {

        canvas.drawCircle(this.x, this.y, this.r, this.paint);
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public int getR() {
        return r;
    }
}
